PDA

View Full Version : Solved Errors when installing



The Slug
23-06-17, 20:48
Hi I have just upgraded my licence, and tried to install your 4.9.1 to my forum which is running PHP7 SQL 4.2.5 and each time I try to import it I get the following errors.
I'm not a scripter of understand SQL so am really at a loss as to what this means,

Can you help please?




Importing Product, Please Wait...

[:]

Call to undefined function mysql_num_rows() on line 10 in /homepages/5/d379500424/htdocs/Forum/includes/adminfunctions_plugin.php(1201) : eval()'d code
#0 /homepages/5/d379500424/htdocs/Forum/includes/adminfunctions_plugin.php(1201): eval()
#1 /homepages/5/d379500424/htdocs/Forum/admincp/plugin.php(1755): install_product(' #2 {main}


Fatal User Error: Call to undefined function mysql_num_rows() on line 10 in ..../includes/adminfunctions_plugin.php(1201) : eval()'d code in ..../vb/vb.php on line 286
Trace Data:
#1 : vbstop() called in ..../includes/class_core.php on line 6089
#2 : vbulletin_error_handler() called in on line
#3 : trigger_error() called in ..../vb/vb.php on line 286
#4 : vB::handleException() called in on line

Var Type:
[ NULL ]

Var Data:
null


It does not show in my plugins so appears to have over written my files but failed to fully install, so I cant remove it either!

Thanks

Marcin Kalak
24-06-17, 11:14
Quick fix for this issue:

Open file do-not-upload/product-vbenterprisetranslator.xml
Find code:


if (!mysql_num_rows($exists) ) {

Replace it to code:


if (!mysqli_num_rows($exists) ) {


This issue will be fixed in the next release.

The Slug
26-06-17, 14:19
Hi, Thanks for the prompt reply.

I have searched the file like you have said but I don't have anything in my file that looks like what you have posted.
Clearly you know better than I do, but I just don't see what your asking for in that XML file.
I have searched on several different queries and not found that code in do-not-upload/product-vbenterprisetranslator.xml

Can you advise please? I can copy the code here if you like?

Thanks Ian

The Slug
26-06-17, 15:11
Hi I have used a different editor and now found the file and changed. I now need to setup in control panel but it looks to have installed now.

Thanks for your help.

Marcin Kalak
26-06-17, 16:44
I am glad that I helped you.

The Slug
29-06-17, 17:13
Sorry to bother you..

But I just cannot get this to work.

I have read the install instructions and have added all the API except Google.
When I click on any of the flags I get:

PHP Warning: preg_replace(): The /e modifier is no longer supported, use preg_replace_callback instead in ..../includes/vbenterprisetranslator_functions.php on line 554

PHP Warning: preg_replace(): The /e modifier is no longer supported, use preg_replace_callback instead in ..../includes/vbenterprisetranslator_functions.php on line 324

Or I will get this:

Multiple Choices

The document name you requested (/Forum/Forum/search.php) could not be found on this server. However, we found documents with names similar to the one you requested.
Available documents:

/Forum/forum.php/search.php?searchid=430182&language=hr (common basename)
Please consider informing the owner of the referring page about the broken link.


My forum is in a separate folder called Forum and in the "Forum directory" I have /Forum

Any ideas?

Thanks

vBET
03-07-17, 11:08
Sorry for delay. We are checking why warnings still appear (should be disabled). We will contact you soon. Please see PM.

vBET
05-07-17, 09:25
Please see private message - we are waiting to help you :)

The Slug
10-07-17, 13:03
Message sent, sorry for the delay Have been away.

Replied to PM.

vBET
16-07-17, 11:53
Issue solved. It was cosed by PHP 7 differences. Changes will be included in next release, you already have it on your server :)

AfrikaansAlbanianArabicBelarusianBulgarianCatalanChineseCroatianCzechDanishDutchEnglishEstonianFilipinoFinnishFrenchGalicianGermanGreekHaitian CreoleHebrewHindiHungarianIcelandicIndonesianIrishItalianJapaneseKoreanLatvianLithuanianMacedonianMalayMalteseNorwegianPersianPolishPortugueseRomanianRussianSerbianSlovakSlovenianSpanishSwahiliSwedishTaiwaneseThaiTurkishUkrainianVietnameseWelshYiddish
Thanks to vBET 4.9.2 you can enjoy automatic translations